Fork me on GitHub"

# skbio.sequence.GrammaredSequence.__ne__

`GrammaredSequence.``__ne__`(other)

  Determine if this sequence is not equal to another.

  State: Stable as of 0.4.0.

  Sequences are not equal if they are not exactly the same type, or their sequence characters, metadata, or positional metadata differ.

  Parameters:

  other : Sequence

  > Sequence to test for inequality against.

  Returns:

  bool

  > Indicates whether this sequence is not equal to other.

  Examples

      >>> from skbio import Sequence
      >>> s = Sequence('ACGT')
      >>> t = Sequence('ACGT')
      >>> s != t
      False
      >>> u = Sequence('ACGA')
      >>> u != t
      True
      >>> v = Sequence('ACGA', metadata={'id': 'v'})
      >>> u != v
      True